/// <reference types="react" />
export interface FormState {
    [key: string]: string | boolean | number | File | null;
}
export type ValidatorFn = (value: string | number | File | boolean | null) => boolean;
export type FormValidation = {
    [key: string]: [ValidatorFn, string];
};
export interface FormValidationState {
    [key: string]: string | null;
}
export interface FocusEvent extends React.FocusEvent<HTMLInputElement | HTMLSelectElement | HTMLTextAreaElement> {
}
export interface ChangeEvent extends React.ChangeEvent<HTMLInputElement | HTMLSelectElement | HTMLTextAreaElement> {
}
