/// <reference types="react" />
import { ChangeEvent, FocusEvent, FormState, FormValidation, FormValidationState } from "./models";
export declare const useForm: (initialForm?: FormState, formValidations?: FormValidation) => {
    formState: FormState;
    setFormState: import("react").Dispatch<import("react").SetStateAction<FormState>>;
    onInputChange: (event: ChangeEvent) => void;
    onResetForm: () => void;
    formValidation: FormValidationState;
    isFormValid: boolean;
    handleSubmit: (onSubmit: (data: FormState) => Promise<void>) => (event: React.FormEvent) => Promise<void>;
    isSubmitted: boolean;
    onBlur: (event: FocusEvent) => void;
    touchedFields: Set<unknown>;
};
